Bug 962478 - RHEVM-CLI: permits & list permissions work with --xx-id and not work with --xx-name
RHEVM-CLI: permits & list permissions work with --xx-id and not work with --x...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Michael Pasternak
Barak Dagan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 11:04 EDT by Barak Dagan
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 02:21:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barak Dagan 2013-05-13 11:04:59 EDT
Description of problem:
[RHEVM shell (connected)]# list permissions --cluster-identifier f099a376-538f-49d7-8f74-5fcded3480f8

id         : 00000002-0002-0002-0002-000000000002

id         : 00000006-0006-0006-0006-000000000006

id         : 3e7e66d4-427e-4e33-9694-afccc6072b65

[RHEVM shell (connected)]# list permissions --cluster-name test1b

unknown error: not enough arguments for format string


Version-Release number of selected component (if applicable):
SF16

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michael Pasternak 2013-05-14 02:21:40 EDT
--cluster-name is unsupported option, e.g it's not in suggested cli options
(auto-completion), both name and id works as expected:


[RHEVM shell (connected)]# list permissions --cluster-identifier 99408929-82cf-4dc7-a532-9d998063fa95

id         : 00000002-0002-0002-0002-000000000002

id         : 00000006-0006-0006-0006-000000000006

[RHEVM shell (connected)]# list permissions --cluster-identifier Default

id         : 00000002-0002-0002-0002-000000000002

id         : 00000006-0006-0006-0006-000000000006
Comment 2 Haim 2013-05-14 06:02:32 EDT
(In reply to comment #1)
> --cluster-name is unsupported option, e.g it's not in suggested cli options
> (auto-completion), both name and id works as expected:

this bug is more about usability and user experience, what am I suppose to do with the following error?

unknown error: not enough arguments for format string
Comment 3 Michael Pasternak 2013-05-14 06:04:47 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > --cluster-name is unsupported option, e.g it's not in suggested cli options
> > (auto-completion), both name and id works as expected:
> 
> this bug is more about usability and user experience, what am I suppose to
> do with the following error?
> 
> unknown error: not enough arguments for format string

bug 962472 addresses this.

Note You need to log in before you can comment on or make changes to this bug.